"use strict";

var rimraf = _interopRequireWildcard(require("rimraf"));

var _fs = require("fs");

var _fsHelper = require("./fs-helper");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

describe("fs-helper", () => {
  describe("readRecursively", () => {
    const directory = `/tmp/${Date.now()}`;
    beforeEach(() => {
      (0, _fs.mkdirSync)(directory);
    });
    afterEach(() => {
      rimraf.sync(directory);
    });
    it("should return a list of files in a folder", () => {
      (0, _fs.mkdirSync)(`${directory}/static`);
      (0, _fs.mkdirSync)(`${directory}/images`);
      (0, _fs.mkdirSync)(`${directory}/images/icons`);
      (0, _fs.writeFileSync)(`${directory}/index.html`, "");
      (0, _fs.writeFileSync)(`${directory}/static/main.aaaaaa.js`, "");
      (0, _fs.writeFileSync)(`${directory}/static/1.bbbbbb.js`, "");
      (0, _fs.writeFileSync)(`${directory}/static/1.bbbbbb.css`, "");
      (0, _fs.writeFileSync)(`${directory}/images/icons/logo.png`, "");
      expect((0, _fsHelper.readRecursively)(directory)).toEqual(["images/icons/logo.png", "index.html", "static/1.bbbbbb.css", "static/1.bbbbbb.js", "static/main.aaaaaa.js"].map(path => `${directory}/${path}`));
    });
  });
});