"use strict";

var inquirer = _interopRequireWildcard(require("inquirer"));

var _prompt = require("./prompt");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

jest.mock("inquirer");
describe("prompt", () => {
  beforeEach(() => {
    jest.resetAllMocks();
  });
  describe("predeployPrompt", () => {
    const promptMock = jest.spyOn(inquirer, "prompt");
    it("does not prompt if CI is true", async () => {
      await (0, _prompt.predeployPrompt)(true, false);
      expect(promptMock).not.toHaveBeenCalled();
    });
    it("does prompt if CI is not defined", async () => {
      promptMock.mockResolvedValue({
        continueDeploy: true
      });
      await (0, _prompt.predeployPrompt)(false, false);
      expect(promptMock).toHaveBeenCalled();
    });
    it("throws if not confirmed", async () => {
      expect.assertions(1);
      promptMock.mockResolvedValue({
        continueDeploy: false
      });

      try {
        await (0, _prompt.predeployPrompt)(false, false);
      } catch (error) {
        expect(promptMock).toHaveBeenCalled();
      }
    });
  });
});